Resource

Scheduled Maintenance Event

Manage scheduled maintenance event for your project

The Scheduled Maintenance Event Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    title
    Type
    TextRequired
    Description

    Title of this scheduled event.

  • Name
    description
    Type
    Markdown
    Description

    Description of this scheduled event that will show up on Status Page. This is in markdown.

  • Name
    slug
    Type
    SlugRequired
    Description

    Friendly globally unique name for your object

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    monitors
    Type
    Monitor
    Description

    List of monitors attached to this event

  • Name
    statusPages
    Type
    Status Page
    Description

    List of status pages to show this event on

  • Name
    labels
    Type
    Label
    Description

    Relation to Labels Array where this object is categorized in.

  • Name
    currentScheduledMaintenanceState
    Type
    Scheduled Maintenance State
    Description

    Relation to Scheduled Maintenance State. The state the event currently is in.

  • Name
    currentScheduledMaintenanceStateId
    Type
    Object IDRequired
    Description

    Scheduled Maintenance State ID. The state the event currently is in.

  • Name
    changeMonitorStatusTo
    Type
    Scheduled Maintenance State
    Description

    Relation to Monitor Status Object. All monitors connected to this event will be changed to this status when the event is ongoing.

  • Name
    changeMonitorStatusToId
    Type
    Object ID
    Description

    Relation to Monitor Status Object ID. All monitors connected to this incident will be changed to this status when the event is ongoing.

  • Name
    startsAt
    Type
    DateRequired
    Description

    When does this event start?

  • Name
    endsAt
    Type
    DateRequired
    Description

    When does this event end?

  • Name
    subscriberNotificationStatusMessage
    Type
    Very Long Text
    Description

    Status message for subscriber notifications when event is scheduled - includes success messages, failure reasons, or skip reasons

  • Name
    shouldStatusPageSubscribersBeNotifiedOnEventCreated
    Type
    Boolean
    Description

    Should subscribers be notified about this event creation?

  • Name
    shouldStatusPageSubscribersBeNotifiedWhenEventChangedToOngoing
    Type
    Boolean
    Description

    Should subscribers be notified about this event event is changed to ongoing?

  • Name
    shouldStatusPageSubscribersBeNotifiedWhenEventChangedToEnded
    Type
    Boolean
    Description

    Should subscribers be notified about this event event is changed to ended?

  • Name
    customFields
    Type
    JSON
    Description

    Custom Fields on this resource.

  • Name
    sendSubscriberNotificationsOnBeforeTheEvent
    Type
    JSON
    Description

    Should subscribers be notified before the event?

  • Name
    nextSubscriberNotificationBeforeTheEventAt
    Type
    Date
    Description

    When will the next notification to subscribers be sent out?

  • Name
    scheduledMaintenanceNumber
    Type
    Number
    Description

    Scheduled Maintenance Number

  • Name
    scheduledMaintenanceNumberWithPrefix
    Type
    Text
    Description

    Scheduled maintenance number with prefix (e.g., 'SM-42' or '#42')

  • Name
    isVisibleOnStatusPage
    Type
    Boolean
    Description

    Should this incident be visible on the status page?

GETorPOST/api/scheduled-maintenance/get-list

List

This endpoint allows you to retrieve a paginated list of all your Scheduled Maintenance Event. By default, a maximum of ten Scheduled Maintenance Event are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/scheduled-maintenance/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "currentScheduledMaintenanceStateId": true,
    "projectId": true,
    "title": true,
    "changeMonitorStatusToId": true,
    "createdByUserId": true
  },
  "query": {
    "title": "Database Migration and Server Upgrade"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377932d0-28fe-11f1-b591-3fdcef396aba",
      "currentScheduledMaintenanceStateId": "c3d4e5f6-a7b8-9012-cdef-3456789012ab",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "title": "Database Migration and Server Upgrade",
      "changeMonitorStatusToId": "d4e5f6a7-b8c9-0123-def4-56789012abcd",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    },
    {
      "_id": "377932d1-28fe-11f1-b591-3fdcef396aba",
      "currentScheduledMaintenanceStateId": "c3d4e5f6-a7b8-9012-cdef-3456789012ab",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "title": "Database Migration and Server Upgrade",
      "changeMonitorStatusToId": "d4e5f6a7-b8c9-0123-def4-56789012abcd",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    },
    {
      "_id": "377932d2-28fe-11f1-b591-3fdcef396aba",
      "currentScheduledMaintenanceStateId": "c3d4e5f6-a7b8-9012-cdef-3456789012ab",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "title": "Database Migration and Server Upgrade",
      "changeMonitorStatusToId": "d4e5f6a7-b8c9-0123-def4-56789012abcd",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    }
  ]
}
GETorPOST/api/scheduled-maintenance/:id/get-item

Get item by ID

This endpoint allows you to retrieve Scheduled Maintenance Event by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/scheduled-maintenance/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "currentScheduledMaintenanceStateId": true,
    "projectId": true,
    "title": true,
    "changeMonitorStatusToId": true,
    "createdByUserId": true
  }
}

Response

{
  "_id": "377932d0-28fe-11f1-b591-3fdcef396aba",
  "currentScheduledMaintenanceStateId": "c3d4e5f6-a7b8-9012-cdef-3456789012ab",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "title": "Database Migration and Server Upgrade",
  "changeMonitorStatusToId": "d4e5f6a7-b8c9-0123-def4-56789012abcd",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
POST/api/scheduled-maintenance/count

Count

This endpoint allows you to retrieve the count of all your Scheduled Maintenance Event.

Optional Request Body

Count Request

POST
/api/scheduled-maintenance/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "title": "Database Migration and Server Upgrade"
  }
}

Response

{
  "count": 107
}
POST/api/scheduled-maintenance

Create Scheduled Maintenance Event

This endpoint allows you to create a new object.

Create Request

POST
/api/scheduled-maintenance
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "currentScheduledMaintenanceStateId": "c3d4e5f6-a7b8-9012-cdef-3456789012ab",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "title": "Database Migration and Server Upgrade",
    "changeMonitorStatusToId": "d4e5f6a7-b8c9-0123-def4-56789012abcd",
    "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
}

Response

{
  "_id": "377932d0-28fe-11f1-b591-3fdcef396aba",
  "currentScheduledMaintenanceStateId": "c3d4e5f6-a7b8-9012-cdef-3456789012ab",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "title": "Database Migration and Server Upgrade",
  "changeMonitorStatusToId": "d4e5f6a7-b8c9-0123-def4-56789012abcd",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
PUT/api/scheduled-maintenance/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/scheduled-maintenance/:id/update-item
GET/api/scheduled-maintenance/:id/update-item

Update Request

PUT
/api/scheduled-maintenance/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "currentScheduledMaintenanceStateId": "c3d4e5f6-a7b8-9012-cdef-3456789012ab",
    "title": "Database Migration and Server Upgrade",
    "changeMonitorStatusToId": "d4e5f6a7-b8c9-0123-def4-56789012abcd"
  }
}

Response

{}
DELETE/api/scheduled-maintenance/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/scheduled-maintenance/:id/delete-item
GET/api/scheduled-maintenance/:id/delete-item

Delete Request

DELETE
/api/scheduled-maintenance/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Scheduled Maintenance Event

  • Project Owner
  • Project Admin
  • Project Member
  • Read Scheduled Maintenance
  • Read All Project Resources

Create Permissions

Required to create Scheduled Maintenance Event

  • Project Owner
  • Project Admin
  • Project Member
  • Create Scheduled Maintenance

Update Permissions

Required to update Scheduled Maintenance Event

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Scheduled Maintenance

Delete Permissions

Required to delete Scheduled Maintenance Event

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Scheduled Maintenance